/*
 * Example.java
 *
 *  Copyright (c) 2010 USAePay
 *
 * Example usage of the usaepay reseller jaxws library.  See
 * http://help.usaepay.com/developer/resellerapi/howto/javajaxws  for more
 * information on using the java library.
 *
 */

import com.usaepay.resapi.jaxws.*;
import java.math.BigInteger;

/**
 *
 */
public class Example {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {


        try {

            // instantiate client connection object,  select www.usaepay.com
            // as the endpoint.  Use sandbox.usaepay.com if connecting to
            // the sandbox server.
            UeSoapServerPortType client = usaepay.getClient("www.usaepay.com");

            // Instantiate security token object (needed by all service methods)
            UeSecurityToken restoken = usaepay.getToken(
                    "R:OYZG7PKcLqZ6XYaOOGy255w0K6YWc7", // source key
                    "1234",  // source pin  (assigned by reseller)
                    "127.0.0.1"  // IP address of end client (if applicable)
                    );


			// Set the merchant ref num (merchid)
			BigInteger merchrefnum = new BigInteger("118227");
			
			// Create response object
            Merchant merch;

            // Retrieve Merchant
            merch = client.getMerchant(restoken, merchrefnum);

            // Display response
            System.out.println("Merchant: " + merch.getMerchantName());


        } catch (Exception e) {

            System.out.println("Soap Exception: " + e.getMessage());
        }
    }

}
